#include "ezwin.h"
#include <cassert>

// Create a window with title "Basic", size 15cm x 15cm,
//     positioned 3cm from left, 1cm from top of screen.
SimpleWindow MyWindow("Basic", 15.0, 15.0,
		      Position(3.0, 1.0));

// ApiMain(): create a window and display maze 1
int ApiMain() {
  
  MyWindow.Open();
  assert(MyWindow.GetStatus() == WindowOpen);


MyWindow.RenderRectangle(Position(1.0,1.0), Position(5.0,1.2),
			   Red, true);
 
MyWindow.RenderRectangle(Position(10.0,1.0), Position(14.0,1.2),
			   Red, true);
MyWindow.RenderRectangle(Position(1.0,14.0), Position(5.0,14.2),
			   Red, true);
MyWindow.RenderRectangle(Position(10.0,14.0), Position(14.0,14.2),
			   Red, true);
return 0;
} // end ApiMain()