#include "ezwin.h"
#include <cassert>

// Create a window with title "Basic", size 15cm x 15cm,
//     positioned 3cm from left, 1cm from top of screen.
SimpleWindow MyWindow("Basic", 15.0, 15.0,
		      Position(3.0, 1.0));

// ApiMain(): create a window and display maze 3
int ApiMain() {
  
  MyWindow.Open();
  assert(MyWindow.GetStatus() == WindowOpen);


MyWindow.RenderRectangle(Position(6.5,2.0), Position(10.5,2.2),
			   Red, true);
MyWindow.RenderRectangle(Position(6.5,2.0), Position(6.7,13.0),
			   Red, true);
MyWindow.RenderRectangle(Position(2.5,12.8), Position(6.7,13.0),
			   Red, true);

return 0;
} // end ApiMain()